snap-0.12.0: Top-level package for the Snap Web Framework

Safe Haskell | None

Snap.Snaplet.Session.Backends.CookieSession

Synopsis

- initCookieSessionManager :: FilePath -> ByteString -> Maybe Int -> SnapletInit b SessionManager

# Documentation

initCookieSessionManager

Arguments

:: FilePath | Path to site-wide encryption key
-> ByteString | Session cookie name
-> Maybe Int | Session time-out (replay attack protection)
-> SnapletInit b SessionManager |

Initialize a cookie-backed session, returning a `SessionManager` to be stuffed inside your application's state. This `SessionManager` will enable the use of all session storage functionality defined in `Session`